<?php
if(!isset($_YUNICC)) { die(); }  /* Protect from direct requests */

$template['page'] = new Templater();
$template['page']->Load("page.community.overview");
$template['page']->Localize($locale->strings);

$template['module'] = new Templater();
$template['module']->Load("element.community.module");

// Community info overview
$sCommunityName = htmlspecialchars(stripslashes($uCommunity['Name']));
$sCommunityMembercount = htmlspecialchars(stripslashes($uCommunity['Membercount']));
$sCommunityDescription = htmlspecialchars(stripslashes($uCommunity['Description']));
$sCommunityCreationDate = htmlspecialchars(stripslashes($uCommunity['Created']));

$sCommunityFounderId = htmlspecialchars(stripslashes($uCommunity['Founder']));
$query = "SELECT * FROM users WHERE `Id` = '{$sCommunityFounderId}'";
if($result = mysql_query_cached($query))
{
	$sCommunityFounder = htmlspecialchars(stripslashes($result->data[0]['DisplayName']));
}
else
{
	$sCommunityFounder = $locale->strings['community-error-unknownuser'];
}

$template['module-overview'] = new Templater();
$template['module-overview']->Load("element.community.module.overview");
$template['module-overview']->Localize($locale->strings);
$template['module-overview']->Compile(array(
	'name'			=> $sCommunityName,
	'founder'		=> $sCommunityFounder,
	'membercount'	=> $sCommunityMembercount,
	'description'	=> $sCommunityDescription,
	'creation-date'	=> $sCommunityCreationDate
));

$template['module']->Compile(array(
	'title'			=> $locale->strings['community-title-overview'],
	'body'			=> $template['module-overview']->Render(),
	'custom-class'	=> ""
));

$sCompiled['module-overview'] = $template['module']->Render();
$template['module']->Reset();

// Staff section
$template['module-staff'] = new Templater();
$template['module-staff']->Load("element.community.overview.staff");
$template['module-staff']->Localize($locale->strings);

$sCompiled['module-staffmembers'] = "";
$template['module-staffmember'] = new Templater();
$template['module-staffmember']->Load("element.community.overview.staffmember");

$query = "SELECT * FROM memberships WHERE `ClubId` = '{$sCommunityId}' AND (`UserGroup` = '1' OR `UserGroup` = '2') ORDER BY `UserGroup` ASC";
if($result = mysql_query_cached($query))
{
	foreach($result->data as $row)
	{
		$sStaffUserGroupId = $row['UserGroup'];
		$sStaffUserId = $row['UserId'];
		
		$query = "SELECT * FROM usergroups WHERE `Id` = '{$sStaffUserGroupId}'";
		if($usergroupResult = mysql_query_cached($query))
		{
			$sStaffUserGroupClass = htmlspecialchars(stripslashes($usergroupResult->data[0]['Class']));
			$sStaffUserGroup = htmlspecialchars(stripslashes($usergroupResult->data[0]['Name']));
		}
		else
		{
			$sStaffUserGroupClass = "unknown";
			$sStaffUserGroup = $locale->strings['community-error-unknowngroup'];
		}
		
		$sStaffUser = new User($sStaffUserId);
		$sStaffUserDisplayName = htmlspecialchars(stripslashes($sStaffUser->uDisplayName));
		
		$template['module-staffmember']->Reset();
		$template['module-staffmember']->Localize($locale->strings);
		$template['module-staffmember']->Compile(array(
			'id'			=> $sStaffUserId,
			'name'			=> $sStaffUserDisplayName,
			'rank'			=> $sStaffUserGroup,
			'rank-class'	=> $sStaffUserGroupClass
		));
		
		$sCompiled['module-staffmembers'] .= $template['module-staffmember']->Render();
	}
}

$template['module-staff']->Compile(array(
	'members'	=> $sCompiled['module-staffmembers']
));

$sCompiled['module-staff'] = $template['module-staff']->Render();

$template['module']->Compile(array(
	'title'			=> $locale->strings['community-title-staff'],
	'body'			=> $sCompiled['module-staff'],
	'custom-class'	=> ""
));

$sCompiled['module-staff'] = $template['module']->Render();
$template['module']->Reset();

// Recent events section
$sCompiled['events'] = "";

$template['event'] = new Templater();
$template['event']->Load("element.community.overview.event");

$query = "SELECT * FROM events WHERE `ClubId` = '{$sCommunityId}' ORDER BY `Date` DESC LIMIT 20";
if($result = mysql_query_cached($query))
{
	foreach($result->data as $row)
	{
		$event = new StreamEvent($row);
		$sEventString = $event->Render();
		$sEventDate = local_from_unix($event->sDate, $locale->datetime_long);
		$sEventTimeAgo = $event->RenderTimeAgo("Date");
		
		$template['event']->Reset();
		$template['event']->Localize($locale->strings);
		$template['event']->Compile(array(
			'event-string'	=> $sEventString,
			'date'			=> $sEventTimeAgo
		));
		
		$sCompiled['events'] .= $template['event']->Render();
	}
}

/*$format_time_current = format_time($locale->datetime_long, time());
$server_time_current = server_time("r", time());
$time_current = time();
$gmdate_current = gmdate("Y-m-d H:i:s", time());
$gmdate_strtime_format_time_current = format_time($locale->datetime_long, strtotime($gmdate_current));
//$gmdate_current_strtime_format_time_current = format_time($locale->datetime_long, strtotime($derp));

$template['module']->Compile(array(
	'title'			=> $locale->strings['community-title-recent'],
	'body'			=> $sCompiled['events'] . "<br>local_timezone: Europe/Riga<br>server_timezone: Europe/Amsterdam<br>format_time current: " . $format_time_current . "<br>server_time current: " . $server_time_current . "<br>time current: " . $time_current . "<br>gmdate current: " . $gmdate_current . "<br>gmdate-strtime-format_time current: " . $gmdate_strtime_format_time_current,
	'custom-class'	=> "no-padding"
));*/

/*
$time = time();
$mtime = mysql_from_unix($time);
$ltime = local_from_unix($time, $locale->datetime_long);

 . "
	<br>local_timezone: {$usersettings['timezone']}
	<br>server_timezone: " . ini_get("date.timezone") . "
	<br>unix: " . $time . "
	<br>mysql_from_unix: " . $mtime . "
	<br>local_from_unix: " . $ltime . "
	<br>unix_from_mysql: " . unix_from_mysql($mtime) . "
	<br>unix_from_local: " . unix_from_local($ltime)
*/


$template['module']->Compile(array(
	'title'			=> $locale->strings['community-title-recent'],
	'body'			=> $sCompiled['events'],
	'custom-class'	=> "no-padding"
));

$sCompiled['module-recent'] = $template['module']->Render();
$template['module']->Reset();

$template['page']->Compile(array(
	'module-info'	=> $sCompiled['module-overview'],
	'module-recent'	=> $sCompiled['module-recent'],
	'module-staff'	=> $sCompiled['module-staff']
));

$uHtml = $template['page']->Render();
?>
